diff -Nbaur mbedtls-2.8.0/include/mbedtls/config.h mbedtls-2.8.0-new/include/mbedtls/config.h
--- mbedtls-2.8.0/include/mbedtls/config.h	2018-03-16 16:25:12.000000000 +0000
+++ mbedtls-2.8.0-new/include/mbedtls/config.h	2018-09-29 00:29:27.408247680 +0100
@@ -435,7 +435,7 @@
  *
  * Uncomment to use your own hardware entropy collector.
  */
-//#define MBEDTLS_ENTROPY_HARDWARE_ALT
+#define MBEDTLS_ENTROPY_HARDWARE_ALT
 
 /**
  * \def MBEDTLS_AES_ROM_TABLES
@@ -944,7 +944,7 @@
  *
  * Uncomment this macro to disable the built-in platform entropy functions.
  */
-//#define MBEDTLS_NO_PLATFORM_ENTROPY
+#define MBEDTLS_NO_PLATFORM_ENTROPY
 
 /**
  * \def MBEDTLS_ENTROPY_FORCE_SHA256
@@ -1062,7 +1062,7 @@
  *
  * Enable the checkup functions (*_self_test).
  */
-#define MBEDTLS_SELF_TEST
+//#define MBEDTLS_SELF_TEST
 
 /**
  * \def MBEDTLS_SHA256_SMALLER
@@ -1850,7 +1850,7 @@
  * Requires: MBEDTLS_AES_C or MBEDTLS_DES_C
  *
  */
-//#define MBEDTLS_CMAC_C
+#define MBEDTLS_CMAC_C
 
 /**
  * \def MBEDTLS_CTR_DRBG_C
@@ -2559,7 +2559,7 @@
  *
  * This module is used by the HAVEGE random number generator.
  */
-#define MBEDTLS_TIMING_C
+//#define MBEDTLS_TIMING_C
 
 /**
  * \def MBEDTLS_VERSION_C
diff -Nbaur mbedtls-2.8.0/library/entropy.c mbedtls-2.8.0-new/library/entropy.c
--- mbedtls-2.8.0/library/entropy.c	2018-03-16 16:25:12.000000000 +0000
+++ mbedtls-2.8.0-new/library/entropy.c	2018-09-29 00:28:56.505654502 +0100
@@ -123,6 +123,20 @@
 #endif /* MBEDTLS_NO_DEFAULT_ENTROPY_SOURCES */
 }
 
+#define LIBCTRU
+#ifdef LIBCTRU
+    #include <3ds.h>
+    int mbedtls_hardware_poll( void *data,
+                               unsigned char *output, size_t len, size_t *olen )
+    {
+        (void)(data);
+        sslcGenerateRandomData(output, len);
+        if(olen)
+            *olen = len;
+        return 0;
+    }
+#endif
+
 void mbedtls_entropy_free( mbedtls_entropy_context *ctx )
 {
 #if defined(MBEDTLS_HAVEGE_C)
diff -Nbaur mbedtls-2.8.0/library/net_sockets.c mbedtls-2.8.0-new/library/net_sockets.c
--- mbedtls-2.8.0/library/net_sockets.c	2018-03-16 16:25:12.000000000 +0000
+++ mbedtls-2.8.0-new/library/net_sockets.c	2018-09-29 00:28:56.505654502 +0100
@@ -27,11 +27,6 @@
 
 #if defined(MBEDTLS_NET_C)
 
-#if !defined(unix) && !defined(__unix__) && !defined(__unix) && \
-    !defined(__APPLE__) && !defined(_WIN32)
-#error "This module only works on Unix and Windows, see MBEDTLS_NET_C in config.h"
-#endif
-
 #if defined(MBEDTLS_PLATFORM_C)
 #include "mbedtls/platform.h"
 #else
@@ -398,7 +393,7 @@
 
             memcpy( client_ip, &addr4->sin_addr.s_addr, *ip_len );
         }
-        else
+        /* else
         {
             struct sockaddr_in6 *addr6 = (struct sockaddr_in6 *) &client_addr;
             *ip_len = sizeof( addr6->sin6_addr.s6_addr );
@@ -407,7 +402,7 @@
                 return( MBEDTLS_ERR_NET_BUFFER_TOO_SMALL );
 
             memcpy( client_ip, &addr6->sin6_addr.s6_addr, *ip_len);
-        }
+        } */
     }
 
     return( 0 );
